libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

xr_client_basic_auth
xr_client_call
xr_client_close
xr_client_conn
xr_client_free
xr_client_get_http
xr_client_get_ssl_context
xr_client_new
xr_client_open
xr_client_reset_http_headers
xr_client_set_http_header
xr_client_set_transport

void xr_client_set_http_header | ( | xr_client_conn * | conn,
|  | const char * | name,
|  | const char * | value
| ) |  |

Set HTTP header to be used in RPCs.

This setting persists until you remove header by passing NULL value or by calling xr_client_reset_http_headers().

Parameters

  conn | Connection object.
  name | HTTP header name.
  value | HTTP header value. Value is not escaped and thus it should not span multiple lines.

Documentation for libxr, Mon Jan 6 2014 07:32:37.